<html lang="en">
<head>
<title>Index of syntax - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Installing-sketch.html#Installing-sketch" title="Installing sketch">
<link rel="next" href="Index.html#Index" title="Index">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Index-of-syntax"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Index.html#Index">Index</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Installing-sketch.html#Installing-sketch">Installing sketch</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="unnumbered">Index of syntax</h2>

<ul class="index-sx" compact>
<li><a href="Two_002doperand-_0028binary_0029-forms.html#index-_0027x_0040r_007b_002c_007d-_0027y_0040r_007b_002c-and-_007d_0027z-228"><code>'x</code><span class="roman">,</span><code> 'y</code><span class="roman">, and </span><code>'z</code></a>: <a href="Two_002doperand-_0028binary_0029-forms.html#Two_002doperand-_0028binary_0029-forms">Two-operand (binary) forms</a></li>
<li><a href="Affine-arithmetic.html#index-_0027x_0040r_007b_002c_007d-_0027y_0040r_007b_002c-and-_007d_0027z-158"><code>'x</code><span class="roman">,</span><code> 'y</code><span class="roman">, and </span><code>'z</code></a>: <a href="Affine-arithmetic.html#Affine-arithmetic">Affine arithmetic</a></li>
<li><a href="Two_002doperand-_0028binary_0029-forms.html#index-_0028-_0029_0040r_007b_002c-grouping_007d-234"><code>( )</code><span class="roman">, grouping</span></a>: <a href="Two_002doperand-_0028binary_0029-forms.html#Two_002doperand-_0028binary_0029-forms">Two-operand (binary) forms</a></li>
<li><a href="Forms-of-references.html#index-_0028foo_0029_0040r_007b_002c-point-reference_007d-351"><code>(foo)</code><span class="roman">, point reference</span></a>: <a href="Forms-of-references.html#Forms-of-references">Forms of references</a></li>
<li><a href="Drawing-a-solid.html#index-_0028foo_0029_0040r_007b_002c-point-reference_007d-38"><code>(foo)</code><span class="roman">, point reference</span></a>: <a href="Drawing-a-solid.html#Drawing-a-solid">Drawing a solid</a></li>
<li><a href="Two_002doperand-_0028binary_0029-forms.html#index-_002a_0040r_007b_002c-multiplication-operator_007d-221"><code>*</code><span class="roman">, multiplication operator</span></a>: <a href="Two_002doperand-_0028binary_0029-forms.html#Two_002doperand-_0028binary_0029-forms">Two-operand (binary) forms</a></li>
<li><a href="Two_002doperand-_0028binary_0029-forms.html#index-_002b_0040r_007b_002c-plus-operator_007d-219"><code>+</code><span class="roman">, plus operator</span></a>: <a href="Two_002doperand-_0028binary_0029-forms.html#Two_002doperand-_0028binary_0029-forms">Two-operand (binary) forms</a></li>
<li><a href="Two_002doperand-_0028binary_0029-forms.html#index-_002d_0040r_007b_002c-minus-operator_007d-220"><code>-</code><span class="roman">, minus operator</span></a>: <a href="Two_002doperand-_0028binary_0029-forms.html#Two_002doperand-_0028binary_0029-forms">Two-operand (binary) forms</a></li>
<li><a href="Unary-forms.html#index-_002d_0040r_007b_002c-unary-minus-operator_007d-240"><code>-</code><span class="roman">, unary minus operator</span></a>: <a href="Unary-forms.html#Unary-forms">Unary forms</a></li>
<li><a href="Two_002doperand-_0028binary_0029-forms.html#index-_002e_0040r_007b_002c-dot-operator_007d-235"><code>.</code><span class="roman">, dot operator</span></a>: <a href="Two_002doperand-_0028binary_0029-forms.html#Two_002doperand-_0028binary_0029-forms">Two-operand (binary) forms</a></li>
<li><a href="Two_002doperand-_0028binary_0029-forms.html#index-_002f_0040r_007b_002c-division-operator_007d-226"><code>/</code><span class="roman">, division operator</span></a>: <a href="Two_002doperand-_0028binary_0029-forms.html#Two_002doperand-_0028binary_0029-forms">Two-operand (binary) forms</a></li>
<li><a href="Swept-lines.html#index-_003c_003e_0040r_007b_002c-closure-tag_007d-302"><code>&lt;&gt;</code><span class="roman">, closure tag</span></a>: <a href="Swept-lines.html#Swept-lines">Swept lines</a></li>
<li><a href="Sweeps.html#index-_003c_003e_0040r_007b_002c-closure-tag_007d-281"><code>&lt;&gt;</code><span class="roman">, closure tag</span></a>: <a href="Sweeps.html#Sweeps">Sweeps</a></li>
<li><a href="Sweep-face-splitting.html#index-_003c_003e_0040r_007b_002c-closure-tag_007d-325"><code>&lt;&gt;</code><span class="roman">, closure tag</span></a>: <a href="Sweep-face-splitting.html#Sweep-face-splitting">Sweep face splitting</a></li>
<li><a href="Polyline-sweeps-with-closure.html#index-_003c_003e_0040r_007b_002c-closure-tag_007d-136"><code>&lt;&gt;</code><span class="roman">, closure tag</span></a>: <a href="Polyline-sweeps-with-closure.html#Polyline-sweeps-with-closure">Polyline sweeps with closure</a></li>
<li><a href="Swept-points.html#index-_003c_003e_0040r_007b_002c-closure-tag_007d-288"><code>&lt;&gt;</code><span class="roman">, closure tag</span></a>: <a href="Swept-points.html#Swept-points">Swept points</a></li>
<li><a href="Point-sweeps.html#index-_003c_003e_0040r_007b_002c-closure-tag_007d-100"><code>&lt;&gt;</code><span class="roman">, closure tag</span></a>: <a href="Point-sweeps.html#Point-sweeps">Point sweeps</a></li>
<li><a href="Swept-points.html#index-_003c_003e_0040r_007b_002c-closure-tag_007d-285"><code>&lt;&gt;</code><span class="roman">, closure tag</span></a>: <a href="Swept-points.html#Swept-points">Swept points</a></li>
<li><a href="Swept-lines.html#index-_003c_003e_0040r_007b_002c-closure-tag_007d-293"><code>&lt;&gt;</code><span class="roman">, closure tag</span></a>: <a href="Swept-lines.html#Swept-lines">Swept lines</a></li>
<li><a href="Forms-of-definitions.html#index-_003cfoo_003e_0040r_007b_002c-tag-reference_007d-346"><code>&lt;foo&gt;</code><span class="roman">, tag reference</span></a>: <a href="Forms-of-definitions.html#Forms-of-definitions">Forms of definitions</a></li>
<li><a href="Forms-of-references.html#index-_003cfoo_003e_0040r_007b_002c-tag-reference_007d-369"><code>&lt;foo&gt;</code><span class="roman">, tag reference</span></a>: <a href="Forms-of-references.html#Forms-of-references">Forms of references</a></li>
<li><a href="Transform-literals.html#index-_005b_005b-_005d_005b-_005d_005b-_005d_005b-_005d_005d_0040r_007b_002c-transform-literal_007d-210"><code>[[ ][ ][ ][ ]]</code><span class="roman">, transform literal</span></a>: <a href="Transform-literals.html#Transform-literals">Transform literals</a></li>
<li><a href="Overview.html#index-_005b_005bfoo_005d_005d_0040r_007b_002c-transform-reference_007d-413"><code>[[foo]]</code><span class="roman">, transform reference</span></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Forms-of-references.html#index-_005b_005bfoo_005d_005d_0040r_007b_002c-transform-reference_007d-357"><code>[[foo]]</code><span class="roman">, transform reference</span></a>: <a href="Forms-of-references.html#Forms-of-references">Forms of references</a></li>
<li><a href="Overview.html#index-_005b_005bfoo_005d_005d_0040r_007b_002c-transform-reference_007d-410"><code>[[foo]]</code><span class="roman">, transform reference</span></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Forms-of-references.html#index-_005bfoo_002c_002e_002e_002e_002cbar_005d_0040r_007b_002c-multiple-options-reference_007d-366"><code>[foo,...,bar]</code><span class="roman">, multiple options reference</span></a>: <a href="Forms-of-references.html#Forms-of-references">Forms of references</a></li>
<li><a href="Polyline-sweeps-with-closure.html#index-_005bfoo_005d_0040r_007b_002c-options-reference_007d-150"><code>[foo]</code><span class="roman">, options reference</span></a>: <a href="Polyline-sweeps-with-closure.html#Polyline-sweeps-with-closure">Polyline sweeps with closure</a></li>
<li><a href="Forms-of-references.html#index-_005bfoo_005d_0040r_007b_002c-options-reference_007d-363"><code>[foo]</code><span class="roman">, options reference</span></a>: <a href="Forms-of-references.html#Forms-of-references">Forms of references</a></li>
<li><a href="Forms-of-references.html#index-_005bfoo_005d_0040r_007b_002c-vector-reference_007d-354"><code>[foo]</code><span class="roman">, vector reference</span></a>: <a href="Forms-of-references.html#Forms-of-references">Forms of references</a></li>
<li><a href="Polyline-sweeps.html#index-_005bfoo_005d_0040r_007b_002c-vector-reference_007d-120"><code>[foo]</code><span class="roman">, vector reference</span></a>: <a href="Polyline-sweeps.html#Polyline-sweeps">Polyline sweeps</a></li>
<li><a href="Two_002doperand-_0028binary_0029-forms.html#index-_005e_0040r_007b_002c-exponentiation-operator_007d-223"><code>^</code><span class="roman">, exponentiation operator</span></a>: <a href="Two_002doperand-_0028binary_0029-forms.html#Two_002doperand-_0028binary_0029-forms">Two-operand (binary) forms</a></li>
<li><a href="A-technical-drawing.html#index-arrows-450"><code>arrows</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Affine-arithmetic.html#index-arrows-156"><code>arrows</code></a>: <a href="Affine-arithmetic.html#Affine-arithmetic">Affine arithmetic</a></li>
<li><a href="Overview.html#index-arrows-432"><code>arrows</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Unary-forms.html#index-atan2-246"><code>atan2</code></a>: <a href="Unary-forms.html#Unary-forms">Unary forms</a></li>
<li><a href="Camera.html#index-camera-380"><code>camera</code></a>: <a href="Camera.html#Camera">Camera</a></li>
<li><a href="Language.html#index-context-402"><code>context</code></a>: <a href="Language.html#Language">Language</a></li>
<li><a href="Unary-forms.html#index-cos-245"><code>cos</code></a>: <a href="Unary-forms.html#Unary-forms">Unary forms</a></li>
<li><a href="Transparency.html#index-cull-256"><code>cull</code></a>: <a href="Transparency.html#Transparency">Transparency</a></li>
<li><a href="Internal-options.html#index-cull-259"><code>cull</code></a>: <a href="Internal-options.html#Internal-options">Internal options</a></li>
<li><a href="Polyline-sweeps.html#index-cull-113"><code>cull</code></a>: <a href="Polyline-sweeps.html#Polyline-sweeps">Polyline sweeps</a></li>
<li><a href="A-technical-drawing.html#index-cull-442"><code>cull</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Global-options.html#index-cull-376"><code>cull</code></a>: <a href="Global-options.html#Global-options">Global options</a></li>
<li><a href="Drawing-a-solid.html#index-cull-45"><code>cull</code></a>: <a href="Drawing-a-solid.html#Drawing-a-solid">Drawing a solid</a></li>
<li><a href="Curves.html#index-curve-269"><code>curve</code></a>: <a href="Curves.html#Curves">Curves</a></li>
<li><a href="Affine-arithmetic.html#index-def-152"><code>def</code></a>: <a href="Affine-arithmetic.html#Affine-arithmetic">Affine arithmetic</a></li>
<li><a href="A-hierarchical-model.html#index-def-477"><code>def</code></a>: <a href="A-hierarchical-model.html#A-hierarchical-model">A hierarchical model</a></li>
<li><a href="A-technical-drawing.html#index-def-439"><code>def</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Nested-sweeps.html#index-def-124"><code>def</code></a>: <a href="Nested-sweeps.html#Nested-sweeps">Nested sweeps</a></li>
<li><a href="Overview.html#index-def-429"><code>def</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Object-transforms.html#index-def-61"><code>def</code></a>: <a href="Object-transforms.html#Object-transforms">Object transforms</a></li>
<li><a href="Drawing-a-solid.html#index-def-34"><code>def</code></a>: <a href="Drawing-a-solid.html#Drawing-a-solid">Drawing a solid</a></li>
<li><a href="A-hierarchical-model.html#index-def-473"><code>def</code></a>: <a href="A-hierarchical-model.html#A-hierarchical-model">A hierarchical model</a></li>
<li><a href="Overview.html#index-def-407"><code>def</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="A-technical-drawing.html#index-def-463"><code>def</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Point-sweeps.html#index-def-102"><code>def</code></a>: <a href="Point-sweeps.html#Point-sweeps">Point sweeps</a></li>
<li><a href="Polyline-sweeps.html#index-def-109"><code>def</code></a>: <a href="Polyline-sweeps.html#Polyline-sweeps">Polyline sweeps</a></li>
<li><a href="Polyline-sweeps-with-closure.html#index-def-138"><code>def</code></a>: <a href="Polyline-sweeps-with-closure.html#Polyline-sweeps-with-closure">Polyline sweeps with closure</a></li>
<li><a href="Drawing-a-solid.html#index-def-31"><code>def</code></a>: <a href="Drawing-a-solid.html#Drawing-a-solid">Drawing a solid</a></li>
<li><a href="A-technical-drawing.html#index-def-457"><code>def</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Overview.html#index-def-417"><code>def</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="A-technical-drawing.html#index-def-448"><code>def</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Dots.html#index-dots-267"><code>dots</code></a>: <a href="Dots.html#Dots">Dots</a></li>
<li><a href="Transparency.html#index-fill-opacity-255"><code>fill opacity</code></a>: <a href="Transparency.html#Transparency">Transparency</a></li>
<li><a href="TikZ_002fPGF-user_002ddefined-styles.html#index-fill-style-250"><code>fill style</code></a>: <a href="TikZ_002fPGF-user_002ddefined-styles.html#TikZ_002fPGF-user_002ddefined-styles">TikZ/PGF user-defined styles</a></li>
<li><a href="Object-transforms.html#index-fillcolor-66"><code>fillcolor</code></a>: <a href="Object-transforms.html#Object-transforms">Object transforms</a></li>
<li><a href="Overview.html#index-fillcolor-416"><code>fillcolor</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Polyline-sweeps-with-closure.html#index-fillcolor-145"><code>fillcolor</code></a>: <a href="Polyline-sweeps-with-closure.html#Polyline-sweeps-with-closure">Polyline sweeps with closure</a></li>
<li><a href="Frame.html#index-frame-390"><code>frame</code></a>: <a href="Frame.html#Frame">Frame</a></li>
<li><a href="Frame.html#index-framesep-395"><code>framesep</code></a>: <a href="Frame.html#Frame">Frame</a></li>
<li><a href="Global-environment.html#index-global-370"><code>global</code></a>: <a href="Global-environment.html#Global-environment">Global environment</a></li>
<li><a href="Language-basics.html#index-input-169"><code>input</code></a>: <a href="Language-basics.html#Language-basics">Language basics</a></li>
<li><a href="Unary-forms.html#index-inverse-247"><code>inverse</code></a>: <a href="Unary-forms.html#Unary-forms">Unary forms</a></li>
<li><a href="Language.html#index-language-398"><code>language</code></a>: <a href="Language.html#Language">Language</a></li>
<li><a href="Language.html#index-latex-401"><code>latex</code></a>: <a href="Language.html#Language">Language</a></li>
<li><a href="Special-objects.html#index-lay-56"><code>lay</code></a>: <a href="Special-objects.html#Special-objects">Special objects</a></li>
<li><a href="Specials.html#index-lay-277"><code>lay</code></a>: <a href="Specials.html#Specials">Specials</a></li>
<li><a href="Global-options.html#index-lay-378"><code>lay</code></a>: <a href="Global-options.html#Global-options">Global options</a></li>
<li><a href="A-technical-drawing.html#index-lay-452"><code>lay</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Internal-options.html#index-lay-260"><code>lay</code></a>: <a href="Internal-options.html#Internal-options">Internal options</a></li>
<li><a href="A-technical-drawing.html#index-lay-447"><code>lay</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="A-technical-drawing.html#index-line-460"><code>line</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Swept-blocks.html#index-line-321"><code>line</code></a>: <a href="Swept-blocks.html#Swept-blocks">Swept blocks</a></li>
<li><a href="Lines.html#index-line-268"><code>line</code></a>: <a href="Lines.html#Lines">Lines</a></li>
<li><a href="A-technical-drawing.html#index-line-464"><code>line</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="A-hierarchical-model.html#index-line-476"><code>line</code></a>: <a href="A-hierarchical-model.html#A-hierarchical-model">A hierarchical model</a></li>
<li><a href="Overview.html#index-line-437"><code>line</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Object-transforms.html#index-line-63"><code>line</code></a>: <a href="Object-transforms.html#Object-transforms">Object transforms</a></li>
<li><a href="Drawing-options.html#index-line-25"><code>line</code></a>: <a href="Drawing-options.html#Drawing-options">Drawing options</a></li>
<li><a href="Affine-arithmetic.html#index-line-154"><code>line</code></a>: <a href="Affine-arithmetic.html#Affine-arithmetic">Affine arithmetic</a></li>
<li><a href="Polyline-sweeps-with-closure.html#index-line-144"><code>line</code></a>: <a href="Polyline-sweeps-with-closure.html#Polyline-sweeps-with-closure">Polyline sweeps with closure</a></li>
<li><a href="TikZ_002fPGF-user_002ddefined-styles.html#index-line-style-251"><code>line style</code></a>: <a href="TikZ_002fPGF-user_002ddefined-styles.html#TikZ_002fPGF-user_002ddefined-styles">TikZ/PGF user-defined styles</a></li>
<li><a href="Overview.html#index-linecolor-434"><code>linecolor</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Frame.html#index-linecolor-394"><code>linecolor</code></a>: <a href="Frame.html#Frame">Frame</a></li>
<li><a href="Object-transforms.html#index-linecolor-65"><code>linecolor</code></a>: <a href="Object-transforms.html#Object-transforms">Object transforms</a></li>
<li><a href="Frame.html#index-linestyle-393"><code>linestyle</code></a>: <a href="Frame.html#Frame">Frame</a></li>
<li><a href="Bugs-and-anomalies.html#index-linestyle-504"><code>linestyle</code></a>: <a href="Bugs-and-anomalies.html#Bugs-and-anomalies">Bugs and anomalies</a></li>
<li><a href="A-technical-drawing.html#index-linestyle-453"><code>linestyle</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Overview.html#index-linestyle-435"><code>linestyle</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Frame.html#index-linewidth-392"><code>linewidth</code></a>: <a href="Frame.html#Frame">Frame</a></li>
<li><a href="Polyline-sweeps.html#index-linewidth-114"><code>linewidth</code></a>: <a href="Polyline-sweeps.html#Polyline-sweeps">Polyline sweeps</a></li>
<li><a href="A-technical-drawing.html#index-linewidth-451"><code>linewidth</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Overview.html#index-linewidth-433"><code>linewidth</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Transparency.html#index-opacity-254"><code>opacity</code></a>: <a href="Transparency.html#Transparency">Transparency</a></li>
<li><a href="Transform-literals.html#index-perspective-200"><code>perspective</code></a>: <a href="Transform-literals.html#Transform-literals">Transform literals</a></li>
<li><a href="Picture-box.html#index-picturebox-382"><code>picturebox</code></a>: <a href="Picture-box.html#Picture-box">Picture box</a></li>
<li><a href="Internal-options.html#index-point-list-265"><code>point list</code></a>: <a href="Internal-options.html#Internal-options">Internal options</a></li>
<li><a href="Hello-world.html#index-polygon-19"><code>polygon</code></a>: <a href="Hello-world.html#Hello-world">Hello world</a></li>
<li><a href="Overview.html#index-polygon-418"><code>polygon</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Affine-arithmetic.html#index-polygon-153"><code>polygon</code></a>: <a href="Affine-arithmetic.html#Affine-arithmetic">Affine arithmetic</a></li>
<li><a href="Drawing-a-solid.html#index-polygon-32"><code>polygon</code></a>: <a href="Drawing-a-solid.html#Drawing-a-solid">Drawing a solid</a></li>
<li><a href="Object-transforms.html#index-polygon-64"><code>polygon</code></a>: <a href="Object-transforms.html#Object-transforms">Object transforms</a></li>
<li><a href="Polygons.html#index-polygon-270"><code>polygon</code></a>: <a href="Polygons.html#Polygons">Polygons</a></li>
<li><a href="Swept-blocks.html#index-polygon-322"><code>polygon</code></a>: <a href="Swept-blocks.html#Swept-blocks">Swept blocks</a></li>
<li><a href="Transform-literals.html#index-project-194"><code>project</code></a>: <a href="Transform-literals.html#Transform-literals">Transform literals</a></li>
<li><a href="Language.html#index-pstricks-399"><code>pstricks</code></a>: <a href="Language.html#Language">Language</a></li>
<li><a href="A-hierarchical-model.html#index-put-481"><code>put</code></a>: <a href="A-hierarchical-model.html#A-hierarchical-model">A hierarchical model</a></li>
<li><a href="Object-transforms.html#index-put-62"><code>put</code></a>: <a href="Object-transforms.html#Object-transforms">Object transforms</a></li>
<li><a href="Nested-sweeps.html#index-put-129"><code>put</code></a>: <a href="Nested-sweeps.html#Nested-sweeps">Nested sweeps</a></li>
<li><a href="Puts.html#index-put-334"><code>put</code></a>: <a href="Puts.html#Puts">Puts</a></li>
<li><a href="Repeats.html#index-repeat-331"><code>repeat</code></a>: <a href="Repeats.html#Repeats">Repeats</a></li>
<li><a href="Repeated-objects.html#index-repeat-88"><code>repeat</code></a>: <a href="Repeated-objects.html#Repeated-objects">Repeated objects</a></li>
<li><a href="Polyline-sweeps-with-closure.html#index-repeat-139"><code>repeat</code></a>: <a href="Polyline-sweeps-with-closure.html#Polyline-sweeps-with-closure">Polyline sweeps with closure</a></li>
<li><a href="Overview.html#index-repeat-426"><code>repeat</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Nested-sweeps.html#index-repeat-130"><code>repeat</code></a>: <a href="Nested-sweeps.html#Nested-sweeps">Nested sweeps</a></li>
<li><a href="Swept-objects.html#index-rotate-94"><code>rotate</code></a>: <a href="Swept-objects.html#Swept-objects">Swept objects</a></li>
<li><a href="Point-sweeps.html#index-rotate-103"><code>rotate</code></a>: <a href="Point-sweeps.html#Point-sweeps">Point sweeps</a></li>
<li><a href="Overview.html#index-rotate-430"><code>rotate</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="A-hierarchical-model.html#index-rotate-475"><code>rotate</code></a>: <a href="A-hierarchical-model.html#A-hierarchical-model">A hierarchical model</a></li>
<li><a href="Repeated-objects.html#index-rotate-89"><code>rotate</code></a>: <a href="Repeated-objects.html#Repeated-objects">Repeated objects</a></li>
<li><a href="Overview.html#index-rotate-427"><code>rotate</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Object-transforms.html#index-rotate-67"><code>rotate</code></a>: <a href="Object-transforms.html#Object-transforms">Object transforms</a></li>
<li><a href="A-hierarchical-model.html#index-rotate-483"><code>rotate</code></a>: <a href="A-hierarchical-model.html#A-hierarchical-model">A hierarchical model</a></li>
<li><a href="Transform-literals.html#index-rotate-182"><code>rotate</code></a>: <a href="Transform-literals.html#Transform-literals">Transform literals</a></li>
<li><a href="Polyline-sweeps.html#index-rotate-111"><code>rotate</code></a>: <a href="Polyline-sweeps.html#Polyline-sweeps">Polyline sweeps</a></li>
<li><a href="Object-transforms.html#index-rotate-80"><code>rotate</code></a>: <a href="Object-transforms.html#Object-transforms">Object transforms</a></li>
<li><a href="A-technical-drawing.html#index-rotate-440"><code>rotate</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Nested-sweeps.html#index-rotate-126"><code>rotate</code></a>: <a href="Nested-sweeps.html#Nested-sweeps">Nested sweeps</a></li>
<li><a href="A-hierarchical-model.html#index-rotate-479"><code>rotate</code></a>: <a href="A-hierarchical-model.html#A-hierarchical-model">A hierarchical model</a></li>
<li><a href="Polyline-sweeps-with-closure.html#index-rotate-140"><code>rotate</code></a>: <a href="Polyline-sweeps-with-closure.html#Polyline-sweeps-with-closure">Polyline sweeps with closure</a></li>
<li><a href="Transform-literals.html#index-scale-191"><code>scale</code></a>: <a href="Transform-literals.html#Transform-literals">Transform literals</a></li>
<li><a href="A-hierarchical-model.html#index-scale-484"><code>scale</code></a>: <a href="A-hierarchical-model.html#A-hierarchical-model">A hierarchical model</a></li>
<li><a href="A-technical-drawing.html#index-scale-466"><code>scale</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Transform-literals.html#index-scale-188"><code>scale</code></a>: <a href="Transform-literals.html#Transform-literals">Transform literals</a></li>
<li><a href="A-technical-drawing.html#index-scale-459"><code>scale</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Global-options.html#index-set-373"><code>set</code></a>: <a href="Global-options.html#Global-options">Global options</a></li>
<li><a href="Unary-forms.html#index-sin-244"><code>sin</code></a>: <a href="Unary-forms.html#Unary-forms">Unary forms</a></li>
<li><a href="Overview.html#index-special-436"><code>special</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="A-technical-drawing.html#index-special-469"><code>special</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Special-objects.html#index-special-48"><code>special</code></a>: <a href="Special-objects.html#Special-objects">Special objects</a></li>
<li><a href="A-technical-drawing.html#index-special-454"><code>special</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Specials.html#index-special-273"><code>special</code></a>: <a href="Specials.html#Specials">Specials</a></li>
<li><a href="Global-options.html#index-split-377"><code>split</code></a>: <a href="Global-options.html#Global-options">Global options</a></li>
<li><a href="Internal-options.html#index-split-261"><code>split</code></a>: <a href="Internal-options.html#Internal-options">Internal options</a></li>
<li><a href="Unary-forms.html#index-sqrt-243"><code>sqrt</code></a>: <a href="Unary-forms.html#Unary-forms">Unary forms</a></li>
<li><a href="A-technical-drawing.html#index-sweep-441"><code>sweep</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="A-hierarchical-model.html#index-sweep-474"><code>sweep</code></a>: <a href="A-hierarchical-model.html#A-hierarchical-model">A hierarchical model</a></li>
<li><a href="Nested-sweeps.html#index-sweep-125"><code>sweep</code></a>: <a href="Nested-sweeps.html#Nested-sweeps">Nested sweeps</a></li>
<li><a href="Sweeps.html#index-sweep-278"><code>sweep</code></a>: <a href="Sweeps.html#Sweeps">Sweeps</a></li>
<li><a href="Polyline-sweeps-with-closure.html#index-sweep-143"><code>sweep</code></a>: <a href="Polyline-sweeps-with-closure.html#Polyline-sweeps-with-closure">Polyline sweeps with closure</a></li>
<li><a href="Swept-objects.html#index-sweep-93"><code>sweep</code></a>: <a href="Swept-objects.html#Swept-objects">Swept objects</a></li>
<li><a href="Polyline-sweeps.html#index-sweep-110"><code>sweep</code></a>: <a href="Polyline-sweeps.html#Polyline-sweeps">Polyline sweeps</a></li>
<li><a href="A-hierarchical-model.html#index-sweep-478"><code>sweep</code></a>: <a href="A-hierarchical-model.html#A-hierarchical-model">A hierarchical model</a></li>
<li><a href="Point-sweeps.html#index-sweep-104"><code>sweep</code></a>: <a href="Point-sweeps.html#Point-sweeps">Point sweeps</a></li>
<li><a href="Nested-sweeps.html#index-sweep-127"><code>sweep</code></a>: <a href="Nested-sweeps.html#Nested-sweeps">Nested sweeps</a></li>
<li><a href="Two_002doperand-_0028binary_0029-forms.html#index-then-236"><code>then</code></a>: <a href="Two_002doperand-_0028binary_0029-forms.html#Two_002doperand-_0028binary_0029-forms">Two-operand (binary) forms</a></li>
<li><a href="Polyline-sweeps-with-closure.html#index-then-141"><code>then</code></a>: <a href="Polyline-sweeps-with-closure.html#Polyline-sweeps-with-closure">Polyline sweeps with closure</a></li>
<li><a href="Two_002doperand-_0028binary_0029-forms.html#index-then-225"><code>then</code></a>: <a href="Two_002doperand-_0028binary_0029-forms.html#Two_002doperand-_0028binary_0029-forms">Two-operand (binary) forms</a></li>
<li><a href="Object-transforms.html#index-then-69"><code>then</code></a>: <a href="Object-transforms.html#Object-transforms">Object transforms</a></li>
<li><a href="Language.html#index-tikz-400"><code>tikz</code></a>: <a href="Language.html#Language">Language</a></li>
<li><a href="Overview.html#index-translate-428"><code>translate</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Object-transforms.html#index-translate-84"><code>translate</code></a>: <a href="Object-transforms.html#Object-transforms">Object transforms</a></li>
<li><a href="A-hierarchical-model.html#index-translate-482"><code>translate</code></a>: <a href="A-hierarchical-model.html#A-hierarchical-model">A hierarchical model</a></li>
<li><a href="Polyline-sweeps-with-closure.html#index-translate-142"><code>translate</code></a>: <a href="Polyline-sweeps-with-closure.html#Polyline-sweeps-with-closure">Polyline sweeps with closure</a></li>
<li><a href="Repeated-objects.html#index-translate-90"><code>translate</code></a>: <a href="Repeated-objects.html#Repeated-objects">Repeated objects</a></li>
<li><a href="Overview.html#index-translate-431"><code>translate</code></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Transform-literals.html#index-translate-185"><code>translate</code></a>: <a href="Transform-literals.html#Transform-literals">Transform literals</a></li>
<li><a href="Object-transforms.html#index-translate-68"><code>translate</code></a>: <a href="Object-transforms.html#Object-transforms">Object transforms</a></li>
<li><a href="Polyline-sweeps.html#index-translate-112"><code>translate</code></a>: <a href="Polyline-sweeps.html#Polyline-sweeps">Polyline sweeps</a></li>
<li><a href="Transparency.html#index-transpalpha-253"><code>transpalpha</code></a>: <a href="Transparency.html#Transparency">Transparency</a></li>
<li><a href="Unary-forms.html#index-unit-242"><code>unit</code></a>: <a href="Unary-forms.html#Unary-forms">Unary forms</a></li>
<li><a href="A-technical-drawing.html#index-unit-458"><code>unit</code></a>: <a href="A-technical-drawing.html#A-technical-drawing">A technical drawing</a></li>
<li><a href="Transform-literals.html#index-view-207"><code>view</code></a>: <a href="Transform-literals.html#Transform-literals">Transform literals</a></li>
<li><a href="Blocks.html#index-_0040_007b-_0040_007d_0040r_007b_002c-block-drawable_007d-328"><code>{ }</code><span class="roman">, block drawable</span></a>: <a href="Blocks.html#Blocks">Blocks</a></li>
<li><a href="Swept-blocks.html#index-_0040_007b-_0040_007d_0040r_007b_002c-block-drawable_007d-320"><code>{ }</code><span class="roman">, block drawable</span></a>: <a href="Swept-blocks.html#Swept-blocks">Swept blocks</a></li>
<li><a href="Nested-sweeps.html#index-_0040_007b-_0040_007d_0040r_007b_002c-block-drawable_007d-131"><code>{ }</code><span class="roman">, block drawable</span></a>: <a href="Nested-sweeps.html#Nested-sweeps">Nested sweeps</a></li>
<li><a href="Object-transforms.html#index-_0040_007b-_0040_007d_0040r_007b_002c-block-drawable_007d-71"><code>{ }</code><span class="roman">, block drawable</span></a>: <a href="Object-transforms.html#Object-transforms">Object transforms</a></li>
<li><a href="Overview.html#index-_0040_007b-_0040_007d_0040r_007b_002c-block-drawable_007d-419"><code>{ }</code><span class="roman">, block drawable</span></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Object-transforms.html#index-_0040_007bfoo_0040_007d_0040r_007b_002c-drawable-reference_007d-79"><code>{foo}</code><span class="roman">, drawable reference</span></a>: <a href="Object-transforms.html#Object-transforms">Object transforms</a></li>
<li><a href="Forms-of-references.html#index-_0040_007bfoo_0040_007d_0040r_007b_002c-drawable-reference_007d-360"><code>{foo}</code><span class="roman">, drawable reference</span></a>: <a href="Forms-of-references.html#Forms-of-references">Forms of references</a></li>
<li><a href="Overview.html#index-_0040_007bfoo_0040_007d_0040r_007b_002c-drawable-reference_007d-424"><code>{foo}</code><span class="roman">, drawable reference</span></a>: <a href="Overview.html#Overview">Overview</a></li>
<li><a href="Unary-forms.html#index-_007c_0040math_007bX_007d_007c_0040r_007b_002c-magnitude-operator_007d-241"><code>|X|</code><span class="roman">, magnitude operator</span></a>: <a href="Unary-forms.html#Unary-forms">Unary forms</a></li>
   </ul></body></html>

